Skip to main content
PATCH
/
documents
/
{document_id}
Update a document
curl --request PATCH \
  --url https://api-sandbox.synctera.com/v0/documents/{document_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "batch_id": "<string>",
  "deletion_reason": "<string>",
  "description": "<string>",
  "name": "<string>"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/documents/{document_id}"

payload = {
"batch_id": "<string>",
"deletion_reason": "<string>",
"description": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch_id: '<string>',
deletion_reason: '<string>',
description: '<string>',
name: '<string>'
})
};

fetch('https://api-sandbox.synctera.com/v0/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "available_versions": [
    123
  ],
  "available_versions_info": [
    {
      "creation_time": "2010-05-06T12:23:34.321Z",
      "file_name": "<string>",
      "last_updated_time": "2010-05-06T12:23:34.321Z",
      "version": 123
    }
  ],
  "batch_id": "<string>",
  "creation_time": "2010-05-06T12:23:34.321Z",
  "deletion_reason": "<string>",
  "description": "<string>",
  "file_name": "<string>",
  "id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "last_updated_time": "2010-05-06T12:23:34.321Z",
  "metadata": {},
  "name": "<string>",
  "related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant": "abcdef_ghijkl",
  "version": 123
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

document_id
string<uuid>
required

The unique identifier of the document.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

Body

application/json
batch_id
string

The ID of the batch that the document belongs to

deletion_reason
string

An explanation why the file was deleted. You must set a document's deletion_reason before deleting it.

description
string

A description of the document

name
string

A user-friendly name for the document

type
enum<string>

The type of the document. The type can be changed after the document is created, except that a non-encrypted document cannot be changed to a type that requires encryption.

Available options:
ADDRESS_VERIFICATION,
APPLICATION_DOCUMENTATION,
BILLING_DOCUMENT,
CHECK_IMAGE,
COMPANY_PROFILE_DOCUMENT,
COMPLIANCE_REPORT,
DATE_OF_BIRTH_VERIFICATION,
FINANCIAL_FILE,
IDENTITY_DOCUMENTATION,
INCOME_DOCUMENTATION,
STATEMENT,
STATEMENT_DISCLOSURE,
TAX_FORM,
TERMS_OF_SERVICE

Response

Updated document properties.

available_versions
integer[]

All document versions

available_versions_info
object[]

Metadata of all document versions

batch_id
string

The ID of the batch that the document belongs to

creation_time
string<date-time>
read-only

The date and time the resource was created

Example:

"2010-05-06T12:23:34.321Z"

deletion_reason
string

An explanation why the file was deleted. You must set a document's deletion_reason before deleting it.

description
string

A description of the document

encryption
enum<string>

Whether the file will be encrypted by the Synctera platform before storing. All documents containing PII must be encrypted.

Creating and retrieving encrypted documents requires documents_encrypted:write and documents_encrypted:read permissions, respectively.

If encryption is not specified, a default will be chosen based on the document type. See the following table.

Document types with a default of REQUIRED must be encrypted. It is an error to explicitly set encryption to NOT_REQUIRED for these document types.

Document types with a default of NOT_REQUIRED may optionally be encrypted by explicitly setting encryption to REQUIRED.

Document TypeDefault Encryption
ADDRESS_VERIFICATIONREQUIRED
APPLICATION_DOCUMENTATIONNOT_REQUIRED
BILLING_DOCUMENTNOT_REQUIRED
CHECK_IMAGEREQUIRED
COMPANY_PROFILE_DOCUMENTNOT_REQUIRED
COMPLIANCE_REPORTREQUIRED
DATE_OF_BIRTH_VERIFICATIONREQUIRED
FINANCIAL_FILEREQUIRED
IDENTITY_DOCUMENTATIONREQUIRED
INCOME_DOCUMENTATIONREQUIRED
STATEMENTNOT_REQUIRED
STATEMENT_DISCLOSURENOT_REQUIRED
TAX_FORMREQUIRED
TERMS_OF_SERVICENOT_REQUIRED
Available options:
NOT_REQUIRED,
REQUIRED
file_name
string
read-only

The file name of the document

id
string<uuid>
read-only

The unique identifier for this resource

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

last_updated_time
string<date-time>
read-only

The date and time the resource was last updated

Example:

"2010-05-06T12:23:34.321Z"

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

name
string

A user-friendly name for the document

The ID of the resource related to the document

The type of the resource related to the document

Available options:
ACCOUNT,
BUSINESS,
CUSTOMER,
EDD,
INVOICE,
REVENUE_STATEMENT
tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

type
enum<string>

The type of the document. The type can be changed after the document is created, except that a non-encrypted document cannot be changed to a type that requires encryption.

Available options:
ADDRESS_VERIFICATION,
APPLICATION_DOCUMENTATION,
BILLING_DOCUMENT,
CHECK_IMAGE,
COMPANY_PROFILE_DOCUMENT,
COMPLIANCE_REPORT,
DATE_OF_BIRTH_VERIFICATION,
FINANCIAL_FILE,
IDENTITY_DOCUMENTATION,
INCOME_DOCUMENTATION,
STATEMENT,
STATEMENT_DISCLOSURE,
TAX_FORM,
TERMS_OF_SERVICE
version
integer

Positive integer representing the version of the document